Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 981806 - Review Request: nodejs-mapnik-vector-tile - Mapnik API for working with vector tiles
Summary: Review Request: nodejs-mapnik-vector-tile - Mapnik API for working with vecto...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jamie Nguyen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: nodejs-reviews 981807
TreeView+ depends on / blocked
 
Reported: 2013-07-05 21:30 UTC by Tom Hughes
Modified: 2013-07-12 23:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-12 23:35:58 UTC
jamielinux: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tom Hughes 2013-07-05 21:30:43 UTC
Spec URL: http://download.compton.nu/nodejs/nodejs-mapnik-vector-tile.spec
SRPM URL: http://download.compton.nu/nodejs/nodejs-mapnik-vector-tile-0.0.6-1.fc19.src.rpm
Fedora Account System Username: tomh

Description:
A high performance library for working with vector tiles from the
team at MapBox.

Provides C++ headers that support rendering geodata into vector tiles
and rendering vector tiles into images.

Comment 1 Jamie Nguyen 2013-07-06 14:03:30 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Header files in -devel subpackage, if present.
  Note: nodejs-mapnik-vector-tile : /usr/lib/node_modules/mapnik-vector-
  tile/src/vector_tile.pb.h
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

Ignore.

[!]: Uses parallel make.

Ignorable, but I guess no harm in adding %{?smp_flags}.



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. Licenses found: "Unknown or generated". 9 files have
     unknown license. Detailed output of licensecheck in
     /home/mockbuild/review/nodejs-mapnik-vector-tile/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

===== SHOULD items =====

Generic:
[!]: Uses parallel make.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nodejs-mapnik-vector-tile-0.0.6-1.fc20.noarch.rpm
nodejs-mapnik-vector-tile.noarch: W: spelling-error %description -l en_US geodata -> geodetic
nodejs-mapnik-vector-tile.noarch: W: only-non-binary-in-usr-lib
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_datasource.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_projection.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile.pb.h
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_util.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_processor.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/hash_variant.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_backend_pbf.hpp
1 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nodejs-mapnik-vector-tile
nodejs-mapnik-vector-tile.noarch: W: spelling-error %description -l en_US geodata -> geodetic
nodejs-mapnik-vector-tile.noarch: W: only-non-binary-in-usr-lib
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_datasource.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_projection.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile.pb.h
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_util.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_processor.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/hash_variant.hpp
nodejs-mapnik-vector-tile.noarch: W: devel-file-in-non-devel-package /usr/lib/node_modules/mapnik-vector-tile/src/vector_tile_backend_pbf.hpp
1 packages and 0 specfiles checked; 0 errors, 9 warnings.
# echo 'rpmlint-done:'



Requires
--------
nodejs-mapnik-vector-tile (rpmlib, GLIBC filtered):
    nodejs(engine)



Provides
--------
nodejs-mapnik-vector-tile:
    nodejs-mapnik-vector-tile
    npm(mapnik-vector-tile)



Source checksums
----------------
http://registry.npmjs.org/mapnik-vector-tile/-/mapnik-vector-tile-0.0.6.tgz :
  CHECKSUM(SHA256) this package     : 00e3ee8645415428bbdad649ca6d8b6771acc669fb2fceb360abf882a580c451
  CHECKSUM(SHA256) upstream package : 00e3ee8645415428bbdad649ca6d8b6771acc669fb2fceb360abf882a580c451


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/bin/fedora-review -m fedora-rawhide-x86_64 -r -n nodejs-mapnik-vector-tile-0.0.6-1.fc19.src.rpm

Comment 2 Jamie Nguyen 2013-07-06 14:03:57 UTC
Package approved!

Comment 3 Tom Hughes 2013-07-06 14:06:51 UTC
Well logically this entire package is a devel package... Would we have an ordinary package with just package.json and then the src directory in a -devel package? Which one should the docs go in...

As I said on the list the whole setup is a bit weird ;-)

Comment 4 Jamie Nguyen 2013-07-06 14:27:12 UTC
(In reply to Tom Hughes from comment #3)
> Well logically this entire package is a devel package... Would we have an
> ordinary package with just package.json and then the src directory in a
> -devel package? Which one should the docs go in...
> 
> As I said on the list the whole setup is a bit weird ;-)

:-)

Yeh it doesn't really make any sense for this to be a -devel package (or to have a -devel subpackage).

Comment 5 Tom Hughes 2013-07-06 14:54:42 UTC
New Package SCM Request
=======================
Package Name: nodejs-mapnik-vector-tile
Short Description: Mapnik API for working with vector tiles
Owners: tomh jamielinux
Branches:
InitialCC:

Comment 6 Gwyn Ciesla 2013-07-06 22:36:21 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.